org.eclipse.viatra.transformation.runtime.emf.rules.batch

## Class BatchTransformationRuleFactory

- java.lang.Object
- - org.eclipse.viatra.transformation.runtime.emf.rules.batch.BatchTransformationRuleFactory

-     public class BatchTransformationRuleFactory
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `BatchTransformationRuleFactory.BatchTransformationRuleBuilder<Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchTransformationRuleFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `<Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>> BatchTransformationRuleFactory.BatchTransformationRuleBuilder<Match,Matcher>` | `createRule()` Deprecated. Use `createRule(IQuerySpecification)` instead
    `<Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>> BatchTransformationRuleFactory.BatchTransformationRuleBuilder<Match,Matcher>` | `createRule(IQuerySpecification<Matcher> precondition)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchTransformationRuleFactory

          public BatchTransformationRuleFactory()

  - ### Method Detail

    - #### createRule

          @Deprecated
          public <Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>> BatchTransformationRuleFactory.BatchTransformationRuleBuilder<Match,Matcher> createRule()

      Deprecated. Use `createRule(IQuerySpecification)` instead

    - #### createRule

          public <Match extends IPatternMatch,Matcher extends ViatraQueryMatcher<Match>> BatchTransformationRuleFactory.BatchTransformationRuleBuilder<Match,Matcher> createRule(IQuerySpecification<Matcher> precondition)

      Since:
        2.1